const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const tracking_categories = sequelize.define(
    'tracking_categories',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

last_modified_by: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  tracking_categories.associate = (db) => {

    db.tracking_categories.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.tracking_categories.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return tracking_categories;
};

